All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface RelationalKeyInterface

All Superinterfaces:
  ColumnContainerInterface, MetadataInterface, PublicObjectInterface, java.rmi.Remote

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface RelationalKeyInterface

extends ColumnContainerInterface

Represents Unique Key associated with the Relational Table.

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`abstract IndexInterface` | `getAssociatedIndex()` Get the associated index with a Unique/Primary Key.
`abstract java.util.List<ForeignKeyInterface>` | `getForeignKeys()` Get associated foreign keys of the Relational Key.
`abstract com.sas.services.information.metadata.RelationalKeyInterface.KeyType` | `getKeyType()` Get a key type of the relational key which could be either Primary or Unique.
`abstract void` | `setAssociatedIndex(IndexInterface index)` Set the associated index with a Unique/Primary Key.
`abstract void` | `setKeyType(com.sas.services.information.metadata.RelationalKeyInterface.KeyType keyType)` Set a key type of the relational key which could be either Primary or Unique.

Methods inherited from interface com.sas.services.information.metadata.ColumnContainerInterface
`addColumn, addColumnAt, addColumns, getColumns, getOwningTable, removeColumn, removeColumn, removeColumns`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getKeyType

    com.sas.services.information.metadata.RelationalKeyInterface.KeyType getKeyType()
                                                                                    throws ServiceException,
                                                                                           java.rmi.RemoteException

  Get a key type of the relational key which could be either Primary or Unique.

  Returns:
    RelationalKeyInterface.KeyType
  Throws:
    `ServiceException` - - If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### setKeyType

    void setKeyType(com.sas.services.information.metadata.RelationalKeyInterface.KeyType keyType)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set a key type of the relational key which could be either Primary or Unique.

  Parameters:
    `keyType` -
  Throws:
    `ServiceException` - - 1] If Primary Key exist in the Relational Table while converting the type to Primary Key. 2] If Nullable column in the unique key while converting the type to Primary Key. 3] If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### getForeignKeys

    java.util.List<ForeignKeyInterface> getForeignKeys()
                                                       throws ServiceException,
                                                              java.rmi.RemoteException

  Get associated foreign keys of the Relational Key.

  Returns:
    List
  Throws:
    `ServiceException` - - If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### getAssociatedIndex

    IndexInterface getAssociatedIndex()
                                      throws ServiceException,
                                             java.rmi.RemoteException

  Get the associated index with a Unique/Primary Key.

  Returns:
  Throws:
    `ServiceException` - If there's a repository error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setAssociatedIndex

    void setAssociatedIndex(IndexInterface index)
                            throws ServiceException,
                                   java.rmi.RemoteException

  Set the associated index with a Unique/Primary Key.

  Parameters:
    `index` - is the associated index with a Unique/Primary Key.
  Throws:
    `ServiceException` - If there's a repository error.
    `java.rmi.RemoteException` - in the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.